## com.imcode.imcms.servlet
Class SearchDocumentsPage

    java.lang.Object
      com.imcode.imcms.flow.Page
          com.imcode.imcms.flow.OkCancelPage
              com.imcode.imcms.servlet.SearchDocumentsPage

All Implemented Interfaces:
  DocumentFinderPage, HttpSessionAttribute, java.io.Serializable

Direct Known Subclasses:
  AdminManagerSearchPage

    public class SearchDocumentsPage

extends OkCancelPage
implements DocumentFinderPage

See Also:
  Serialized Form

Field Summary
`static java.lang.String` `DATE_TYPE__ARCHIVED`
`static java.lang.String` `DATE_TYPE__CREATED`
`static java.lang.String` `DATE_TYPE__MODIFIED`
`static java.lang.String` `DATE_TYPE__PUBLICATION_END`
`static java.lang.String` `DATE_TYPE__PUBLICATION_START`
`static java.lang.String` `REQUEST_PARAMETER__CANCEL_BUTTON`
`static java.lang.String` `REQUEST_PARAMETER__DATE_TYPE`
`static java.lang.String` `REQUEST_PARAMETER__DOCUMENT_TYPE_ID`
`static java.lang.String` `REQUEST_PARAMETER__DOCUMENTS_PER_PAGE`
`static java.lang.String` `REQUEST_PARAMETER__END_DATE`
`static java.lang.String` `REQUEST_PARAMETER__FIRST_DOCUMENT_INDEX`
`static java.lang.String` `REQUEST_PARAMETER__PHASE`
`static java.lang.String` `REQUEST_PARAMETER__QUERY_STRING`
`static java.lang.String` `REQUEST_PARAMETER__SEARCH_BUTTON`
`static java.lang.String` `REQUEST_PARAMETER__SECTION_ID`
`static java.lang.String` `REQUEST_PARAMETER__SELECTED_DOCUMENT_ID`
`static java.lang.String` `REQUEST_PARAMETER__SORT_ORDER`
`static java.lang.String` `REQUEST_PARAMETER__START_DATE`
`static java.lang.String` `REQUEST_PARAMETER__TO_EDIT_DOCUMENT_ID`
`static java.lang.String` `REQUEST_PARAMETER__USER_RESTRICTION`
`static java.lang.String` `USER_DOCUMENTS_RESTRICTION__DOCUMENTS_CREATED_BY_USER`
`static java.lang.String` `USER_DOCUMENTS_RESTRICTION__DOCUMENTS_PUBLISHED_BY_USER`
`static java.lang.String` `USER_DOCUMENTS_RESTRICTION__NONE`

Fields inherited from class com.imcode.imcms.flow.OkCancelPage
`cancelCommand, okCommand, REQUEST_PARAMETER__CANCEL, REQUEST_PARAMETER__OK`

Fields inherited from class com.imcode.imcms.flow.Page
`IN_REQUEST`

Constructor Summary
`SearchDocumentsPage()`

Method Summary
`protected void` `dispatchCancel(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`protected void` `dispatchOther(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`java.lang.String` `getDateTypeRestriction()`
`DocumentFinder` `getDocumentFinder()`
`java.util.List` `getDocumentsFound()`
`int` `getDocumentsPerPage()`
`int[]` `getDocumentTypeIds()`
`int` `getFirstDocumentIndex()`
`java.lang.String` `getFormattedEndDate()`
`java.lang.String` `getFormattedStartDate()`
`JSCalendar` `getJSCalender(javax.servlet.http.HttpServletRequest request)`
`java.lang.String` `getParameterStringWithParameter(javax.servlet.http.HttpServletRequest request, java.lang.String parameterName, java.lang.String parameterValue)`
`java.lang.String` `getPath(javax.servlet.http.HttpServletRequest request)`
`java.lang.String[]` `getPhases()`
`org.apache.lucene.search.Query` `getQuery()`
`java.lang.String` `getQueryString()`
`java.util.Set` `getSections()`
`DocumentDomainObject` `getSelectedDocument()`
`java.lang.String` `getSortOrder()`
`java.lang.String` `getUserDocumentsRestriction()`
`void` `setDocumentFinder(DocumentFinder documentFinder)`
`void` `setDocumentsFound(java.util.List documentsFound)`
`void` `updateFromRequest(javax.servlet.http.HttpServletRequest request)`
`protected boolean` `wasCanceled(javax.servlet.http.HttpServletRequest request)`

Methods inherited from class com.imcode.imcms.flow.OkCancelPage
`dispatch, dispatchNotCanceled, dispatchOk, wasOk`

Methods inherited from class com.imcode.imcms.flow.Page
`forward, fromRequest, getSessionAttributeName, htmlHidden, removeFromSession, setSessionAttributeName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.imcode.imcms.servlet.DocumentFinderPage
`forward`

Field Detail

### REQUEST_PARAMETER__SECTION_ID

    public static final java.lang.String REQUEST_PARAMETER__SECTION_ID

See Also:
  Constant Field Values

### REQUEST_PARAMETER__DOCUMENTS_PER_PAGE

    public static final java.lang.String REQUEST_PARAMETER__DOCUMENTS_PER_PAGE

See Also:
  Constant Field Values

### REQUEST_PARAMETER__QUERY_STRING

    public static final java.lang.String REQUEST_PARAMETER__QUERY_STRING

See Also:
  Constant Field Values

### REQUEST_PARAMETER__FIRST_DOCUMENT_INDEX

    public static final java.lang.String REQUEST_PARAMETER__FIRST_DOCUMENT_INDEX

See Also:
  Constant Field Values

### REQUEST_PARAMETER__SELECTED_DOCUMENT_ID

    public static final java.lang.String REQUEST_PARAMETER__SELECTED_DOCUMENT_ID

See Also:
  Constant Field Values

### REQUEST_PARAMETER__TO_EDIT_DOCUMENT_ID

    public static final java.lang.String REQUEST_PARAMETER__TO_EDIT_DOCUMENT_ID

See Also:
  Constant Field Values

### REQUEST_PARAMETER__SEARCH_BUTTON

    public static final java.lang.String REQUEST_PARAMETER__SEARCH_BUTTON

See Also:
  Constant Field Values

### REQUEST_PARAMETER__CANCEL_BUTTON

    public static final java.lang.String REQUEST_PARAMETER__CANCEL_BUTTON

See Also:
  Constant Field Values

### REQUEST_PARAMETER__USER_RESTRICTION

    public static final java.lang.String REQUEST_PARAMETER__USER_RESTRICTION

See Also:
  Constant Field Values

### REQUEST_PARAMETER__DATE_TYPE

    public static final java.lang.String REQUEST_PARAMETER__DATE_TYPE

See Also:
  Constant Field Values

### REQUEST_PARAMETER__START_DATE

    public static final java.lang.String REQUEST_PARAMETER__START_DATE

See Also:
  Constant Field Values

### REQUEST_PARAMETER__END_DATE

    public static final java.lang.String REQUEST_PARAMETER__END_DATE

See Also:
  Constant Field Values

### REQUEST_PARAMETER__SORT_ORDER

    public static final java.lang.String REQUEST_PARAMETER__SORT_ORDER

See Also:
  Constant Field Values

### REQUEST_PARAMETER__PHASE

    public static final java.lang.String REQUEST_PARAMETER__PHASE

See Also:
  Constant Field Values

### REQUEST_PARAMETER__DOCUMENT_TYPE_ID

    public static final java.lang.String REQUEST_PARAMETER__DOCUMENT_TYPE_ID

See Also:
  Constant Field Values

### USER_DOCUMENTS_RESTRICTION__NONE

    public static final java.lang.String USER_DOCUMENTS_RESTRICTION__NONE

See Also:
  Constant Field Values

### USER_DOCUMENTS_RESTRICTION__DOCUMENTS_CREATED_BY_USER

    public static final java.lang.String USER_DOCUMENTS_RESTRICTION__DOCUMENTS_CREATED_BY_USER

See Also:
  Constant Field Values

### USER_DOCUMENTS_RESTRICTION__DOCUMENTS_PUBLISHED_BY_USER

    public static final java.lang.String USER_DOCUMENTS_RESTRICTION__DOCUMENTS_PUBLISHED_BY_USER

See Also:
  Constant Field Values

### DATE_TYPE__PUBLICATION_START

    public static final java.lang.String DATE_TYPE__PUBLICATION_START

See Also:
  Constant Field Values

### DATE_TYPE__PUBLICATION_END

    public static final java.lang.String DATE_TYPE__PUBLICATION_END

See Also:
  Constant Field Values

### DATE_TYPE__CREATED

    public static final java.lang.String DATE_TYPE__CREATED

See Also:
  Constant Field Values

### DATE_TYPE__ARCHIVED

    public static final java.lang.String DATE_TYPE__ARCHIVED

See Also:
  Constant Field Values

### DATE_TYPE__MODIFIED

    public static final java.lang.String DATE_TYPE__MODIFIED

See Also:
  Constant Field Values

Constructor Detail

### SearchDocumentsPage

    public SearchDocumentsPage()

Method Detail

### updateFromRequest

    public void updateFromRequest(javax.servlet.http.HttpServletRequest request)

  Specified by:
    `updateFromRequest` in class `OkCancelPage`

### wasCanceled

    protected boolean wasCanceled(javax.servlet.http.HttpServletRequest request)

  Overrides:
    `wasCanceled` in class `OkCancelPage`

### dispatchCancel

    protected void dispatchCancel(javax.servlet.http.HttpServletRequest request,
                                  javax.servlet.http.HttpServletResponse response)
                           throws java.io.IOException,
                                  javax.servlet.ServletException

  Overrides:
    `dispatchCancel` in class `OkCancelPage`
  Throws:
    `java.io.IOException`
    `javax.servlet.ServletException`

### dispatchOther

    protected void dispatchOther(javax.servlet.http.HttpServletRequest request,
                                 javax.servlet.http.HttpServletResponse response)
                          throws java.io.IOException,
                                 javax.servlet.ServletException

  Overrides:
    `dispatchOther` in class `OkCancelPage`
  Throws:
    `java.io.IOException`
    `javax.servlet.ServletException`

### getParameterStringWithParameter

    public java.lang.String getParameterStringWithParameter(javax.servlet.http.HttpServletRequest request,
                                                            java.lang.String parameterName,
                                                            java.lang.String parameterValue)

### getPath

    public java.lang.String getPath(javax.servlet.http.HttpServletRequest request)

  Specified by:
    `getPath` in class `Page`

### getSections

    public java.util.Set getSections()

### getDocumentsFound

    public java.util.List getDocumentsFound()

### setDocumentsFound

    public void setDocumentsFound(java.util.List documentsFound)

  Specified by:
    `setDocumentsFound` in interface `DocumentFinderPage`

### getFirstDocumentIndex

    public int getFirstDocumentIndex()

### getDocumentsPerPage

    public int getDocumentsPerPage()

### getQueryString

    public java.lang.String getQueryString()

### getSelectedDocument

    public DocumentDomainObject getSelectedDocument()

### getQuery

    public org.apache.lucene.search.Query getQuery()

  Specified by:
    `getQuery` in interface `DocumentFinderPage`

### getDocumentFinder

    public DocumentFinder getDocumentFinder()

### setDocumentFinder

    public void setDocumentFinder(DocumentFinder documentFinder)

  Specified by:
    `setDocumentFinder` in interface `DocumentFinderPage`

### getPhases

    public java.lang.String[] getPhases()

### getFormattedStartDate

    public java.lang.String getFormattedStartDate()

### getFormattedEndDate

    public java.lang.String getFormattedEndDate()

### getDateTypeRestriction

    public java.lang.String getDateTypeRestriction()

### getSortOrder

    public java.lang.String getSortOrder()

### getUserDocumentsRestriction

    public java.lang.String getUserDocumentsRestriction()

### getDocumentTypeIds

    public int[] getDocumentTypeIds()

### getJSCalender

    public JSCalendar getJSCalender(javax.servlet.http.HttpServletRequest request)